﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Data.aspx.cs" Inherits="Data" %>

<%@ Register Assembly="Syncfusion.EJ.Web, Version=12.4451.0.30, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89" Namespace="Syncfusion.JavaScript.Web" TagPrefix="ej" %>
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <link href="themes/ej.widgets.core.min.css" rel="stylesheet" />
    <link href="themes/ej.theme.min.css" rel="stylesheet" />
    <link href="themes/default.css" rel="stylesheet" />
    <link href="themes/default-responsive.css" rel="stylesheet" />
    <link href="css/DiagramBuilder.css" rel="stylesheet" />
    <link href="themes/bootstrap.min.css" rel="stylesheet" />
    <script src="Scripts/jquery-1.10.2.min.js" type="text/javascript"></script>
    <script src="Scripts/jquery.easing-1.3.min.js" type="text/javascript"></script>
    <script src="Scripts/jquery.globalize.min.js" type="text/javascript"></script>
    <script src="http://borismoore.github.io/jsrender/jsrender.min.js"></script>
    <script src="Scripts/ej.web.all.min.js" type="text/javascript"></script>

    <script id="svgTemplate" type="text/x-jsrender">
        <g>
<path d="M 58.813 0 H 3.182 L 30.998 24.141 L 58.813 0 Z M 32.644 34.425
 C 32.133 34.87 31.567 35.095 31 35.095 S 29.867 34.87 29.353
 34.425 L 1 9.826V 60 H 61 V 9.826 L 32.644 34.425Z"></path>            
   </g>
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server" EnablePageMethods="true">
            <Services>
                <asp:ServiceReference Path="~/WebServiceDiagram.asmx" />
            </Services>
        </asp:ScriptManager>
        <asp:Button ID="Button1" runat="server" Text="Load Diagram From DB" OnClientClick="GetDiagram();return false;" />
        <asp:Button ID="Button2" runat="server" Text="Clear Diagram" OnClientClick="ClearDiagram();return false;" />
        <div style="float: left">
            <ej:Diagram ID="DiagramWebControl1" runat="server" Height="400px" Width="900px" EnableContextMenu="false">
            </ej:Diagram>
        </div>


        <div style="width: 400px; float: right; left: 65px; bottom: 23px; margin: auto;">
            <ej:Accordion ID="Accordion1" runat="server" EnableMultipleOpen="true" HeightAdjustMode="Content" Collapsible="True" SelectedItemIndex="-1">
                <Items>
                    <ej:AccordionItem Text="Overview">
                        <ContentSection>
                            <ej:Overview ID="Overview1" runat="server" Height="155px" Width="200px" SourceId="DiagramWebControl1"></ej:Overview>
                        </ContentSection>
                    </ej:AccordionItem>
                </Items>
            </ej:Accordion>
        </div>
    </form>
    <script type="text/javascript">
        function ClearDiagram() {
            var diagram = $("#DiagramWebControl1").data("ejDiagram");
                diagram.clear();
            }

        function GetDiagram() {
            var key = 234;
            DiagramWebServices.GetDiagram(key, OnSuccess_Get, OnFail);
        }

        function OnSuccess_Get(response) {
            var diagram = $("#DiagramWebControl1").data("ejDiagram");
            if (response.substring(0, 5) == 'Empty') {
                diagram.clear();
            } else {
                console.log('About to load diagram from database');
                var loaddiagram = JSON.parse(response);
                diagram.load(loaddiagram);
                diagram.fitToPage("width", "content", new ej.datavisualization.Diagram.Margin({ "left": 10, "top": 10, "right": 10, "bottom": 10 }));
            }
            diagram._modified = false;
        }

        function OnFail(response) {
            alert('Operation did not complete!  Error: ' + response.get_message());
        }

    </script>

</body>
</html>
